Skip to main content
POST
/
grok
/
tasks
Grok Tasks
curl --request POST \
  --url https://api.acedata.cloud/grok/tasks \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "id": "<string>",
  "ids": [
    "<string>"
  ],
  "action": "retrieve"
}
'
import requests

url = "https://api.acedata.cloud/grok/tasks"

payload = {
    "id": "<string>",
    "ids": ["<string>"],
    "action": "retrieve"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({id: '<string>', ids: ['<string>'], action: 'retrieve'})
};

fetch('https://api.acedata.cloud/grok/tasks', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
{
  "id": "<string>",
  "request": {},
  "response": {}
}
{
  "error": {
    "code": "token_mismatched",
    "message": "The specified token is not matched with API."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
  "error": {
    "code": "invalid_token",
    "message": "The specified token is invalid or wrong."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}
{
  "error": {
    "code": "api_error",
    "message": "Internal server error."
  },
  "trace_id": "2efa9340-b21b-4e26-9e14-4aac95f343ab"
}

Authorizations

Authorization
string
header
required

Headers

accept
enum<string>

Grok Tasks Param Accept

Available options:
application/json

Body

application/json
id
string

Grok Tasks Id

ids
string[]

Grok Tasks Ids

action
enum<string>
default:retrieve

Grok Tasks Action

Available options:
retrieve,
retrieve_batch

Response

Grok Tasks Response 200

id
string

Grok Tasks Response 200 Id

request
object

Grok Tasks Response 200 Request

response
object

Grok Tasks Response 200 Response